Subject: [manet] DLEP mechanism used by MANET Routing

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 27 Apr 2012 13:25:50 +0200

Hi Stan,

I hope we can consider the interest to use DLEP by all MANET routing
which are standard and which are work in progress, therefore, I
suggest that any update in its techniques to consider all routing DSR,
AODV, OLSR, DYMO etc. protocols' aspects of needed informations or
entry updates. On the other hand the different types of link
technologies used may add to DLEP considerations.

Regards

Abdussalam Baryun
University of Glamorgan, UK

---

From: Bo Berry <[email-masked]>
Date: Fri, 27 Apr 2012 07:30:33 -0400

We need to also add the OSPF MANET extensions, and other protocols that currently use DLEP.

-Bo

On Apr 27, 2012, at 7:25 AM, Abdussalam Baryun wrote:

> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet

----
[email-masked]
This email may contain confidential and privileged material for the sole use of the intended recipient. This email may contain information that is protected by NDA. Any unauthorized review, use, distribution or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive for the recipient), please contact the sender by reply email and delete all copies of this message.

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 27 Apr 2012 22:54:35 +0200

> We need to also add the OSPF MANET extensions, and other protocols that

I agree with you. I will complete reviewing the dlep-draft to see its
advantages if other protocols add the DLEP server instead of modifying
the DLEP messages, by seeing the MANET in DLEP eyes, then possibility
to create a new protocol, and/or add to the progress works available.
IMO the source routing protocol (e.g. DSR) will be advanced by using
DLEP.

Do you think that it is important that DLEP-server should inform
either the server's protocol, or its needed information within the
exchange message's type field or you have another way? because I was
thinking of a scenario of different protocols controlling the same
wireless-link (not in the same time, may need scheduling) with
different needs from DLEP, therefore DLEP can be used to adapt
protocols to wireless-link's characteristics, which we don't have so
far without DLEP ideas.

Regards
Abdussalam

> This email may contain confidential and privileged material for the sole use
> of the intended recipient. This email may contain information that is
> protected by NDA. Any unauthorized review, use, distribution or disclosure
> by others is strictly prohibited. If you are not the intended recipient (or
> authorized to receive for the recipient), please contact the sender by reply
> email and delete all copies of this message.
>
>
>
>

---

From: Henning Rogge <[email-masked]>
Date: Fri, 27 Apr 2012 23:43:51 +0200

I think a DLEP-server (the one that can receive data from a DLEP
equipped radio) could be a good addition/plugin to any routing system
that can work with arbitrary and dynamic metric values for their
links. You just need some more code that either transforms the
'dimensionless metric' into the local representation or calculates its
own metric from the raw metric values.

Henning Rogge

-- 
Steven Hawkings about cosmic inflation: "An increase of billions of
billions of percent in a tiny fraction of a second. Of course, that
was before the present government."

---

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 28 Apr 2012 00:06:20 +0200

Hi Henning,

Yes I agree with you, and also the metric may not be the only needed
information or update, MANET protocols assume some specific
conditions, so they can simplify the standard/protocol design, so in
MANET we never have a standard/protocol that is the general solution
for all scenarios/conditions. Therefore, DLEP may help in making our
assumptions less or more even reasonable, in bad scanrios for our
protocols.

Abdussalam,

---

From: Henning Rogge <[email-masked]>
Date: Sat, 28 Apr 2012 00:09:30 +0200

What kind of assumptions do you mean?

Henning Rogge

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 29 Apr 2012 15:19:40 +0200

> What kind of assumptions do you mean?

To answer the question I will just give my discussion-assumption
introduction, then examples of our documented works' direct and
indirect assumptions. In general, majority of the world population are
using the IP networks in their needed purposes and conditions which
may direct the future of the internet implementations/documentations.
In IETF community, all WGs agree that each standard/task-work in IETF
may be used for internet networks and their applications, therefore,
no one documented-standard can claim ( even do claim in written) ;
that it is the last agreement solution or that it is not to be
replaced/updated, and that it cover all conditions including
all-use-cases without no assumptions. So we have standards that assume
certain things to be implemented correctly and to be reasonable. In
MANET standards, all should assume some points, because of the larger
possibilities of MANET scenarios than in the static-networks.
Therefore, for any draft presented we need to discuss its assumptions,
use-case, functionality/technique, and then contribution to others.
However, some documents do not clarify directly all assumptions, but
can be understood indirectly.

For example of assumptions, RFC3651, RFC6130, RFC925, RFC5444,
OLSRv2-work-in-progress, and DLEP-work-in-progress.

RFC3561>p32> We assume that such asymmetry cannot persist beyond a
certain time, say, a multiple K of HELLO_INTERVAL. In other words, a
node will
invariably receive at least one out of K subsequent Hello messages
from a neighbor if the link is working and the neighbor is sending no
other traffic.

AB> Therefore, AODV cannot work correctly in the network the condition
of asymmetric that persist beyond a certain time.

RFC6130>p5>This protocol makes no assumptions about the underlying
link layer, other than support of local broadcast or multicast for
communication
to 1-hop neighbor routers.

AB> NHDP assumes support of local broadcast or multicast for communication
to 1-hop neighbor routers. If no such support then it is not correct.
Also indirectly this protocol has not an awareness of any fault in the
L1 wireless communication.

RFC925>p5> If the environment is very dynamic making T3 shorter will result in
more rapid adaptation to the changes.,,,,,,,, Unfortunately there is
no necessary relationship between frequency of use and correctness.

AB> it assumes that there is no LOS or NLOS link dynamics in the L1
communication medium, but it mentions the problem of no-reply, and T3
or timeouts-feedback. The correctness of ARP is not gauranteed in such
dynamic environment.

OLSRv2-work-in-progress>p7>
>OLSRv2 makes no assumptions about the underlying link layer. OLSRv2, through >its use of [RFC6130], may use link layer information and
>notifications when available and applicable. In addition, OLSRv2
>uses link metrics that may be derived from link layer or any other
>information. OLSRv2 does not specify the physical meaning of link
>metrics, but specifies a means by which new types of link metrics may
>be specified in the future, but used by OLSRv2 without modification.

AB> OLSRv2 claims and assumes indirectly> that OLSRv2-standard doesn't
have to be depending on Data-Link-layer information and in the same
time it may use information from Data-Link-Layer, moreover, claiming
it will not need to be modified if there is change in metric or
information of underlying. This claim is only true if the Data-Link is
using RFC5444, and under RFC5444 claims that the messages are routers'
messaging not claiming that messaging are Data-Link
messages/information/interaction. therefore OLSRv2 assumes that
Data-Link layer MUST RFC5444, so that it can use the information in
Data-Link.

RFC5444>page 4>This document specifies the syntax of a packet format
designed >for carrying multiple routing protocol messages for
information exchange
>between MANET (Mobile Ad hoc NETwork) routers. Messages consist of a
>Message Header, which is designed for control of message
>dissemination, and a Message Body, which contains protocol
>information.

AB>Comments> Therefore, RFC5444 is specified to messages-format for exchange
between Routers. Secondly it mentions no MUST/SHOULD for the
IETF-MANET routing standards that it uses this particular message
format, otherwise we need to update all old standards that we have
like DSR, AODV, etc. Also it does not mention Data-Link
interaction/exchange (i.e. L2 information availability, or L2 frames'
formating) at all.

DLEP-work-in-progress>p1>When routing devices rely on modems to effect
communications over wireless links.

AB> DLEP assuming indirectly> that there is a direct channel between
router and modem, or that modem is able to sense the change or faults
in the wireless-medium used for data communication.

Regards,
Abdussalam Baryun,

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
It is important to not claim that our discussions is always right, but
like to get feedbacks/comments to know if our discussion is wrong so
we can learn and make progress.
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

>>>>> This email may contain confidential and privileged material for the
>>>>> sole
>>>>> use

---

From: Henning Rogge <[email-masked]>
Date: Sun, 29 Apr 2012 19:34:58 +0200

I think most IETF protocols make the assumption that the layer1/2 is
"well behaving" on its interface to layer-3. Most times it is assumed
that the chance that the layer-2 will give a changed/malformed packet
up to layer-3 is reasonable low.

> of asymmetric that persist beyond a certain time.
Don't know the details of AODV, so I skip this.

> communication to 1-hop neighbor routers.
>
Without "send to all neighbors" (multicast/broadcast) it will just not
work. Its a requirement for NHDP, as it is for a lot basic networking
mechanisms.

> L1 wireless communication.
I don't know why you put layer-1 into this...

> or timeouts-feedback. The correctness of ARP is not gauranteed in such
Never heard about this RFC.

> Data-Link layer MUST RFC5444, so that it can use the information in

You have a misconception here. OLSRv2 use RFC5444. The underlaying
layer (as any network layer) just have to transport this data to the
OLSRv2 instance on the other side, it does not need to care about
whats inside the packets. Thats the basic OSI approach.

> interaction/exchange (i.e. L2 information availability, or L2 frames'
RFC5444 specifies a packet format, not the behavior or daemons using it.

> in the wireless-medium used for data communication.

It assumes that radio and router can talk to each other. DLEP is for
transporting the known facts about the link layer from the radio to
the router. Things that are unknown don't need to be transmitted.

I really don't see a point in your posting.

Henning Rogge

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 30 Apr 2012 08:58:42 +0100

Hi Hinning,

thanks for your comments,

>whats inside the packets. Thats the basic OSI approach.
I mentioned underlying-link-layer not underlying-newtork-layer. I don't
think both draft mention who should care what is in the packet, but
thinking to use OSI approach to improve progress of the work. I think the
draft's concept of no assumption on underlaying while it does use (or
depend sometimes on) availability of the interface-information, is having a
misconcept. However, I am writting down my full comments on the document
which I will post shortly.

>I really don't see a point in your posting.
The point is to discuss MANET protocols reasonably,

Abdussalam Baryun

On Sun, Apr 29, 2012 at 6:34 PM, Henning Rogge <[email-masked]>wrote:

> >>OLSRv2 makes no assumptions about the underlying link layer. OLSRv2,
> through >its use of [RFC6130], may use link layer information and

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 30 Apr 2012 09:06:50 +0000

Abdussalam Baryun
> RFC6130>p5
> >This protocol makes no assumptions about the underlying

> to 1-hop neighbor routers. If no such support then it is not correct.

The piece you quoted explicitly points this out (the bit starting "other").
So your comment is incorrect.

> L1 wireless communication.

Which is exactly as it says. I don't know what your point is.

Abdussalam Baryun
> OLSRv2-work-in-progress>p7
> >OLSRv2 makes no assumptions about the underlying link layer. OLSRv2, through
> >its use of [RFC6130], may use link layer information and

> time it may use information from Data-Link-Layer,

There's no contradiction there. It doesn't have to be dependent on data
link layer information, but it may (optional, don't have to do it) use it.

> moreover, claiming
> information of underlying.

Which is true, not just a claim. Note that how the metric is calculated is
outside OLSRv2 (read the draft).

> This claim is only true if the Data-Link is
> using RFC5444,

First 5444 is not used by the data link, it's used by the routing protocol,
which is at L3. And use of 5444 is mandatory when using OLSRv2 as
defined by the specification. I also don't see the connection to link metrics.
OLSRv2 uses them, and specifies 5444-compliant TLVs to provide them.
If, hypothetically, someone created an alternative data format for OLSRv2
not based on 5444, it would need to carry metrics.

> and under RFC5444 claims that the messages are routers'

This has completely missed the point, being based on the incorrect assumption
that 5444 is used at data link layer.

Abdussalam Baryun
> RFC5444>page 4
> >This document specifies the syntax of a packet format designed
> >for carrying multiple routing protocol messages for  information exchange

> between Routers.

That's what it was designed for. If someone wants to use it for something else, fine.

> Secondly it mentions no MUST/SHOULD for the
> format,

That is done by RFC 5498.

> otherwise we need to update all old standards that we have
> like DSR, AODV, etc.

Obviously 5444 doesn't demand changes to existing experimental protocols.
5498 mandates the use of 5444 on the manet UDP port (and IP protocol).
But those earlier protocols each have their own UDP port, and 5498 does
not apply.

> Also it does not mention Data-Link

Of course not. 5444 specifies a format, which is encapsulated in UDP/IP,
and then presented to the data link layer. 5444 relies on IP to interface
to the data link layer, as usual.

I'm afraid I can't see any point made.

-- 
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 30 Apr 2012 13:27:25 +0100

Hi Chris,

I am sorry to be pointless, however, I am discussing with reference,
andplease just inform me where I understood wrong so we can progress. I
don't think volunteering to read other peoples work and trying to make the
best in my knowledge is pointless. I know I am less knowledge, but I will
not stop reading and commenting, only if the chair of the WG informs me, so
please respect my work with no insults, otherwise the chair should inform
one of us who is pointless in our discussion under his responsibility.

>link layer information, but it may (optional, don't have to do it) use it.

Why does the OLSRv2 draft mention that routers must have at least one
OLSRv2-interface. The interface isData-Link layer because all
MANET-interfaces are Data-link layers, but still it stated no assumption
for the underlying data-link layer. I suggest to delete the word 'no
assumption' because OLSRv2-draft assumes that all routers must have at
least on OLSRv2-interface otherwise it doesn't work.

I need an explanation please. thanking you for your comments,

Abdussalam Baryun

On Mon, Apr 30, 2012 at 10:06 AM, Dearlove, Christopher (UK) <
[email-masked]> wrote:

> through

---

From: Henning Rogge <[email-masked]>
Date: Mon, 30 Apr 2012 15:14:59 +0200

On Mon, Apr 30, 2012 at 14:27, Abdussalam Baryun
<[email-masked]> wrote:
> MANET-interfaces are Data-link layers, but still it stated no assumption for
> the underlying data-link layer. I suggest to delete the word 'no assumption'
> because OLSRv2-draft assumes that all routers must have at least on
> OLSRv2-interface otherwise it doesn't work.

I would suggest reading the OLSRv2-draft again, especially section 2.

OLSRv2 interface:
A MANET interface running this protocol.  A router running this
protocol MUST have at least one OLSRv2 interface.

A routing protocol which does not run on any interface would be pretty
useless, right?

Henning Rogge

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 30 Apr 2012 16:24:44 +0100

Hi Henning,

Please note that I read the first pages of draft many times before posting
any information.

HR>I would suggest reading the OLSRv2-draft again, especially section 2.

>protocol MUST have at least one OLSRv2 interface.

HR>A routing protocol which does not run on any interface would be pretty
>useless, right?
You reply to the second sentence not the first which has 'running this
protocol' relating it not to the router it is relating it to the interface.
I know that router must have at least a network-interface ( or
data-link-layer) or MANET interface, this is not what I commenting and the
draft is mentioning. We don't assume at least Data-Link because it is
obvious and we are following TCP/IP model in the internet, but not at least
a specific-interface called bla bla.

Why it defines the 'OLSRv2-interface' as a MANET-interface that RUNS this
protocol (OLSRv2) this means there is some thing related to OLSRv2 in the
layer-2. You should read again another paragraph mentioning as if there is
difference between MANET-interface and OLSRv2-interface.

OLSRv2-14>p9>

Supports routers that each have one or more participating OLSRv2

interfaces, which will consist of some or all of its MANET

interfaces using [RFC6130]. The set of a router’s OLSRv2

interfaces, and the sets of its other MANET and non-MANET

interfaces, may change over time. Each interface may have one or

more network addresses (which may have prefix lengths), and these

may also be dynamically changing.

AB> it is clear from the above draft-page-9, that all MANET interfaces are
not an OLSRv2-interface, but All OLSRv2 interfaces are MANET-interfaces. So
we have to have in or node at least an OLSRv2-interface, not at least one
MANET-interfac so the protocol to work correctly.

AB> The above page-9 mentions NHDP as well that interfaces need this
protocol. What if there is not NHDP, or if it is not working, what will
happen. The draft SHOULD explain these issues.

AB> It may be that all OLSRv2 routers (as implementation point of practice)
only need at least one MANET interface. But the authors need to change.
therefore, we know that All routers need at least on interface, but the
draft-wording has a special OLSRv2-interface. Then we need to change the
draft wording to the right explaination.

Abdussalam BAryun
University of Glamorgan, UK
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
On Mon, Apr 30, 2012 at 2:14 PM, Henning Rogge <[email-masked]>wrote:

> for

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 30 Apr 2012 15:25:23 +0000

An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is an IP interface, one which IP receives packets on, has one or more IP addresses etc. It has a data link layer below it, but OLSRv2 doesn't care about that. Your statement "a MANET interface is a data link interface" is wrong.

[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

From: Abdussalam Baryun [mailto:[email-masked]]
Sent: 30 April 2012 13:27
To: Dearlove, Christopher (UK)
Cc: Henning Rogge; manet; Bo Berry; [email-masked]
Subject: Re: [manet] DLEP mechanism used by MANET Routing

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.
Hi Chris,

I am sorry to be pointless, however, I am discussing with reference, andplease just inform me where I understood wrong so we can progress. I don't think volunteering to read other peoples work and trying to make the best in my knowledge is pointless. I know I am less knowledge, but I will not stop reading and commenting, only if the chair of the WG informs me, so please respect my work with no insults, otherwise the chair should inform one of us who is pointless in our discussion under his responsibility.

>link layer information, but it may (optional, don't have to do it) use it.

Why does the OLSRv2 draft mention that routers must have at least one OLSRv2-interface. The interface isData-Link layer because all MANET-interfaces are Data-link layers, but still it stated no assumption for the underlying data-link layer. I suggest to delete the word 'no assumption' because OLSRv2-draft assumes that all routers must have at least on OLSRv2-interface otherwise it doesn't work.

Abdussalam Baryun

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
On Mon, Apr 30, 2012 at 10:06 AM, Dearlove, Christopher (UK) <[email-masked]<mailto:[email-masked]>> wrote:
Abdussalam Baryun

Abdussalam Baryun

Abdussalam Baryun

--
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194<tel:%2B44%201245%20242194> |  Fax: +44 1245 242124<tel:%2B44%201245%20242124>
[email-masked]<mailto:[email-masked]> | http://www.baesystems.com<http://www.baesystems.com/>

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 30 Apr 2012 16:41:20 +0100

Hi Chris

ok then if it was simple to explain as a special interface as IP-interface
why we have OLSRv2_draft saying that it is network-interface as MANET is a
network, but IP is not it is a protocol. IMO it is wrong to refer to a
network while you mean a protocol, even though I know I may misunderstood.
I sugget that this SHOULD be explained clearly. I think every one seems to
understand that network-interface must include Data-Link-layer, therefore,
RFC6130 or OLSRv2-draft should define well as you did. I thank you for your
comment,

Therefore I suggest to change OLSRv2-interface definition as Chris defined
it very clearly. I hope the draft can change the definition,

Abdussalam

On Mon, Apr 30, 2012 at 4:25 PM, Dearlove, Christopher (UK) <
[email-masked]> wrote:

>  An OLSRv2 interface (a special case of a MANET interface, see RFC 6130)
> is an IP interface, one which IP receives packets on, has one or more IP
> addresses etc. It has a data link layer below it, but OLSRv2 doesn’t care
> about that. Your statement “a MANET interface is a data link interface” is
> wrong.****
>
> ** **
>
> -- ****
>
> Christopher Dearlove****
>
> Tel: +44 1245 242194 |  Fax: +44 1245 242124****
>
> Registered in England & Wales No: 1996687****
>
> ** **
>
> *From:* Abdussalam Baryun [mailto:[email-masked]]
> *Sent:* 30 April 2012 13:27
> *To:* Dearlove, Christopher (UK)
> *Cc:* Henning Rogge; manet; Bo Berry; [email-masked]
>
> *Subject:* Re: [manet] DLEP mechanism used by MANET Routing****
>
> ** **
>
> ** **
>
> **** WARNING ****
>
> *This message originates from outside our organisation, either from an
> external partner or the internet.**
> Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>on how to deal with suspicious emails.
> *****
>
> Hi Chris,****
>
>  ****
>
> one of us who is pointless in our discussion under his responsibility.****
>
>  ****
>
> Please read my reply-comment to OLSRv2 below:****
>
>  ****
>
> ****
>  ****
> least on OLSRv2-interface otherwise it doesn't work.****
>
>  ****
>
> I need an explanation please. thanking you for your comments,****
>
>  ****
>
> Abdussalam Baryun****
>
>  ****
>
>
> > moreover, claiming
> > information of underlying.****
>
> outside OLSRv2 (read the draft).****
>
> ** **
>
>  ****
>
> ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++****
>
> [email-masked]> wrote:****
>
> Abdussalam Baryun****
>
> > RFC6130>p5
> > to 1-hop neighbor routers. If no such support then it is not correct.***
> *
>
> So your comment is incorrect.****
>
>
> > L1 wireless communication.****
>
> Abdussalam Baryun****
> > time it may use information from Data-Link-Layer,****
>
> ****
> > information of underlying.****
>
> outside OLSRv2 (read the draft).****
>
>
> > using RFC5444,****
> not based on 5444, it would need to carry metrics.****
>
>
> > Data-Link.****
> Abdussalam Baryun****
> > between Routers.****
> That's what it was designed for. If someone wants to use it for something
> else, fine.****
>
>
> > format,****
> That is done by RFC 5498.****
>
>
> > like DSR, AODV, etc.****
> not apply.****
> > formating) at all.****
> ************************************************************************
>
> ** **
>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 30 Apr 2012 15:51:39 +0000

IP is a network layer (L3) protocol. All I can say about the definitions in 6130 (which are at the root of this) is that those were definitions that passed review by the WG, the IETF, GEN-ART, RTG-AREA and the IESG (and some other people who probably didn't look at those definitions). Probably because the IETF's default assumption is that anything like interface is L3 unless stated otherwise.

There is no need and no point to change the OLSRv2 definitions. They just say that OLSRv2 interfaces are a subset of MANET interfaces. The definition that matters is that of MANET interface, and that's in RFC 6130, which as the RFC indicates is a done deal.

Sent: 30 April 2012 16:41

*** WARNING ***

ok then if it was simple to explain as a special interface as IP-interface why we have OLSRv2_draft saying that it is network-interface as MANET is a network, but IP is not it is a protocol. IMO it is wrong to refer to a network while you mean a protocol, even though I know I may misunderstood. I sugget that this SHOULD be explained clearly. I think every one seems to understand that network-interface must include Data-Link-layer, therefore, RFC6130 or OLSRv2-draft should define well as you did. I thank you for your comment,

Therefore I suggest to change OLSRv2-interface definition as Chris defined it very clearly. I hope the draft can change the definition,

Abdussalam
On Mon, Apr 30, 2012 at 4:25 PM, Dearlove, Christopher (UK) <[email-masked]<mailto:[email-masked]>> wrote:
An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is an IP interface, one which IP receives packets on, has one or more IP addresses etc. It has a data link layer below it, but OLSRv2 doesn't care about that. Your statement "a MANET interface is a data link interface" is wrong.

From: Abdussalam Baryun [mailto:[email-masked]<mailto:[email-masked]>]
Sent: 30 April 2012 13:27
To: Dearlove, Christopher (UK)
Cc: Henning Rogge; manet; Bo Berry; [email-masked]<mailto:[email-masked]>

*** WARNING ***

Abdussalam Baryun

Abdussalam Baryun

Abdussalam Baryun

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 30 Apr 2012 17:16:58 +0100

Hi Chris,

I read parts quickly from RFC6130, and it does not mention any special
IP-interface, it defines in another way:

Interface:

A router’s attachment to a communications medium. An interface is

assigned one or more addresses.

MANET interface:

An interface participating in a MANET and using this neighborhood

discovery protocol. A router may have several MANET interfaces.

 AB> It does not mention that it is Network-layer, so it assumes that we
understand the definition, without mentioning where this protocol can be
runed. When I read this protocol before, I thought it can be in the both L2
or L3, but if we define the MANET-interface as IP-intrface (as you defined
it).

I read many draft of IETF but this RFC6130 is not clear in definition and
is not consistent with others that define network-interface. I now started
to beleive that 6130-MANET-interfaces are all logical interfaces. Please
read the draft about IPv6 logical-interface draft below:

draft-ietf-netext-logical-interface-support-04.txt

Regards

Abdussalam Baryun

On Mon, Apr 30, 2012 at 4:41 PM, Abdussalam Baryun <
[email-masked]> wrote:

>> >link layer information, but it may (optional, don't have to do it) use
>> it.****
>>
>>  ****
>>
>> > to 1-hop neighbor routers. If no such support then it is not correct.**
>> **
>>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 30 Apr 2012 16:22:03 +0000

6130 interfaces are IP interfaces. They may be logical, or they may directly map to physical interfaces. The point is that we don't care. As for whether 6130 is not clear, as I said, it passed all those reviews and it is too late to change it, even if we felt otherwise.

From: [email-masked] [mailto:[email-masked]] On Behalf Of Abdussalam Baryun
Sent: 30 April 2012 17:17
To: Dearlove, Christopher (UK)
Cc: manet
Subject: Re: [manet] DLEP mechanism used by MANET Routing

*** WARNING ***

I read parts quickly from RFC6130, and it does not mention any special IP-interface, it defines in another way:

Interface:
A router's attachment to a communications medium. An interface is
assigned one or more addresses.
MANET interface:
An interface participating in a MANET and using this neighborhood
discovery protocol. A router may have several MANET interfaces.
 AB> It does not mention that it is Network-layer, so it assumes that we understand the definition, without mentioning where this protocol can be runed. When I read this protocol before, I thought it can be in the both L2 or L3, but if we define the MANET-interface as IP-intrface (as you defined it).
I read many draft of IETF but this RFC6130 is not clear in definition and is not consistent with others that define network-interface. I now started to beleive that 6130-MANET-interfaces are all logical interfaces. Please read the draft about IPv6 logical-interface draft below:
draft-ietf-netext-logical-interface-support-04.txt

Regards
Abdussalam Baryun

On Mon, Apr 30, 2012 at 4:41 PM, Abdussalam Baryun <[email-masked]<mailto:[email-masked]>> wrote:
Hi Chris

Abdussalam

*** WARNING ***

Abdussalam Baryun

Abdussalam Baryun

Abdussalam Baryun

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 30 Apr 2012 17:43:04 +0100

Ok, what about OLSRv2 is it possible to clarify the IP-interface in the
definition? or is there no confusion about MANET-interfaces with other
MANET routing definitions? IMO definitions in the MANET-WG should be very
focused and consistent because if in MANET protocols we define differently
a commo term how will we get protocols to use in the future common
standard(s).

Abdussalam Baryun

On Mon, Apr 30, 2012 at 5:22 PM, Dearlove, Christopher (UK) <
[email-masked]> wrote:

>  6130 interfaces are IP interfaces. They may be logical, or they may
> directly map to physical interfaces. The point is that we don’t care. As
> for whether 6130 is not clear, as I said, it passed all those reviews and
> it is too late to change it, even if we felt otherwise.****
>
> ** **
>
> -- ****
>
> Christopher Dearlove****
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf
> Of *Abdussalam Baryun
> *Sent:* 30 April 2012 17:17
> *Cc:* manet
> IP-interface, it defines in another way:****
>
>  ****
>
> Interface:****
>
> A router’s attachment to a communications medium. An interface is****
>
> assigned one or more addresses.****
>
> MANET interface:****
>
> An interface participating in a MANET and using this neighborhood****
>
> discovery protocol. A router may have several MANET interfaces.****
>
> it).****
> read the draft about IPv6 logical-interface draft below:****
>
> draft-ietf-netext-logical-interface-support-04.txt****
>
>  ****
>
> Regards****
>
> Abdussalam Baryun****
>
>
>  ****
>
> [email-masked]> wrote:****
>
> Hi Chris****
>
>  ****
>
> comment,****
> it very clearly. I hope the draft can change the definition,****
>
>  ****
>
> Abdussalam****
>
> An OLSRv2 interface (a special case of a MANET interface, see RFC 6130) is
> an IP interface, one which IP receives packets on, has one or more IP
> *Cc:* Henning Rogge; manet; Bo Berry; [email-masked] ****
>
>
> **** WARNING ********

---

From: Ulrich Herberg <[email-masked]>
Date: Mon, 30 Apr 2012 09:45:11 -0700

Abdussalam,

RFC6130 defines:

MANET interface:

And draft-ietf-manet-olsrv2 defines:
OLSRv2 interface:
      A MANET interface running this protocol.  A router running this
      protocol MUST have at least one OLSRv2 interface.

In one of the last OLSRv2 revisions, we made sure that OLSRv2
differentiates between neighbors running only NHDP and neighbors running
also OLSRv2, and only the latter are used for MPR selection, etc. I do not
understand what you would like to change in the OLSRv2 draft.

See comments below:

> AB> It may be that all OLSRv2 routers (as implementation point of
> practice) only need at least one MANET interface. But the authors need to
> change. therefore, we know that All routers need at least on interface, but
> the draft-wording has a special OLSRv2-interface. Then we need to change
> the draft wording to the right explaination.
>

Can you suggest what you would like to change? I don't understand your
point.

Best regards
Ulrich

---

From: Ulrich Herberg <[email-masked]>
Date: Mon, 30 Apr 2012 09:52:10 -0700

Abdussalam,

RFC6130 is an IP protocol (like most IETF standards). It is not specified
as L2 protocol.

Best regards
Ulrich

On Mon, Apr 30, 2012 at 9:16 AM, Abdussalam Baryun <
[email-masked]> wrote:

>> ok then if it was simple to explain as a special interface as
>> IP-interface why we have OLSRv2_draft saying that it is network-interface
>> as MANET is a network, but IP is not it is a protocol. IMO it is wrong to
>> refer to a network while you mean a protocol, even though I know I may
>> misunderstood. I sugget that this SHOULD be explained clearly. I think
>> every one seems to understand that network-interface must
>> include Data-Link-layer, therefore, RFC6130 or OLSRv2-draft should define
>> well as you did. I thank you for your comment,
>>
>> Therefore I suggest to change OLSRv2-interface definition as Chris
>> defined it very clearly. I hope the draft can change the definition,
>>
>> Abdussalam
>>
>>>  An OLSRv2 interface (a special case of a MANET interface, see RFC
>>> 6130) is an IP interface, one which IP receives packets on, has one or more
>>> IP addresses etc. It has a data link layer below it, but OLSRv2 doesn’t
>>> care about that. Your statement “a MANET interface is a data link
>>> interface” is wrong.****
>>>
>>> ** **
>>>
>>> -- ****
>>>
>>> Christopher Dearlove****
>>>
>>> > to 1-hop neighbor routers. If no such support then it is not correct.*
>>> ***
>>>
>>> That's what it was designed for. If someone wants to use it for
>>> something else, fine.****
>>>
>>>

---

From: Ulrich Herberg <[email-masked]>
Date: Mon, 30 Apr 2012 09:55:06 -0700

I don't think there is any confusion. Chris has pointed out the
relationship between MANET interface and OLSRv2 interface clearly. I think
that RFC6130/draft-ietf-manet-olsrv2 define the terminology correctly. If
you would like to change anything, please suggest concrete text to replace,
so that I can better understand what you mean.

Best regards
Ulrich

On Mon, Apr 30, 2012 at 9:43 AM, Abdussalam Baryun <
[email-masked]> wrote:

>> *From:* [email-masked] [mailto:[email-masked]] *On
>> Behalf Of *Abdussalam Baryun
>> well as you did. I thank you for your comment,****
>>
>>  ****
>>
>> defined it very clearly. I hope the draft can change the definition,****
>>
>>  ****
>>
>> Abdussalam****
>>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 30 Apr 2012 17:52:07 +0000

As I indicated, the great and the good in the IESG, and everyone else has managed quite successfully to know what the existing text in 6130 means. Trying to put anything different in OLSRv2 would be a bad idea because it might suggest that an OLSRv2 interface is other than a MANET interface on which we also run this protocol. An OLSRv2 interface is a MANET interface on which we run OLSRv2. That's it.

And I think I don't have anything else to say on the matter.

From: Abdussalam Baryun [mailto:[email-masked]]
Sent: 30 April 2012 17:43
To: Dearlove, Christopher (UK)
Cc: manet
Subject: Re: [manet] DLEP mechanism used by MANET Routing

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.
Ok, what about OLSRv2 is it possible to clarify the IP-interface in the definition? or is there no confusion about MANET-interfaces with other MANET routing definitions? IMO definitions in the MANET-WG should be very focused and consistent because if in MANET protocols we define differently a commo term how will we get protocols to use in the future common standard(s).

Abdussalam Baryun
On Mon, Apr 30, 2012 at 5:22 PM, Dearlove, Christopher (UK) <[email-masked]<mailto:[email-masked]>> wrote:
6130 interfaces are IP interfaces. They may be logical, or they may directly map to physical interfaces. The point is that we don't care. As for whether 6130 is not clear, as I said, it passed all those reviews and it is too late to change it, even if we felt otherwise.

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Abdussalam Baryun
Sent: 30 April 2012 17:17
To: Dearlove, Christopher (UK)
Cc: manet

*** WARNING ***

Interface:

Regards
Abdussalam Baryun

Abdussalam

*** WARNING ***

Abdussalam Baryun

Abdussalam Baryun

Abdussalam Baryun